var firstco=0;
/* $.get("../data/admin/oo.txt?t=" + Math.random(),
    function(a) {
        if (a == "oo") {
            eodfkld();
            alert('很抱歉，本域名以被锁定，请与客服联系！')
        }
    });*/
function formsubmit(butt)
{
    if(butt.form.temp_e5b23c204.value && parseInt(butt.form.e8afb736c.value)>parseInt(butt.form.temp_e5b23c204.value)){alert('采集总数不可能比搜索列表页数小吧。');return;}
	var jp= new monor_jsonp();
	jp.url='http://'+cfg_remote_host+"/co_main.php?eb5707348=eminershow&t=" + Math.random()+"&callback=?";
	jp.default_errmaininfo='您的身份标识验证失败，请再重试一次或联系官网客服';
	jp.default_sucmaininfo='身份标识验证成功，现在开始工作中！';
	jp.callbackfunc=function(data) {
		jp.localloginfinish=true;
		$("#infotable").hide();
		$("#repaircostart").show();
		
		if(data.status=='success'){
			var c='eminer_start.php';
			var formpostdata=$(document.form1).serialize();
			var eminer0 = new co_pub(1);
			if($("input[name='e8afb736c']").val() && parseInt($("input[name='e8afb736c']").val())<$paramarr["cfg_search_err_allownum"]){
				eminer0.eminercoerr_allownum = parseInt($("input[name='e8afb736c']").val());
			}
			eminer0.ed70276a8=true;
			eminer0.efabd4b3b='采集进行中。。。';
			$("div#pubdataconsolearea input#b116").bind('click',{'owner':eminer0},eminer0.togglecopub);
			if($paramarr["cfg_search_err_allownum"])eminer0.eminercoerr_allownum=$paramarr["cfg_search_err_allownum"];		
			
			var tipinfo='';
			if(data.info)tipinfo=data.info;
			else tipinfo=jp.default_sucmaininfo;
			$("#go").html(tipinfo);
			c += "?action=robot&kw_g=1&ecab1c4fe=1&e6dd1f3ba=1&eabd06204=1&ec7fca41a=1&e05ca0eb9=1&e66756569=1&donow=1&temp_origin=1&"+formpostdata
			eminer0.eminerco(c);
		}else{
			jp.err_handle(data);
		}
	};
	jp.err_handle=function(data) {
		if(!data)data={};
		if(!data.info ) $("#go").html(jp.default_errmaininfo);
		else{
			$("#go").html(infos[0]);
		}
	};	
	jp.do_locallogin();
}
function showtitletypechange(radio){
	if($(radio).val()=='0'){
		$(radio).closest("tr").find(".pagesizesetarea").hide();
		if(parseInt($("input.sptime").val())<1 || $("input.sptime").val()=="")$("input.sptime").val(1);
	}else{
		$(radio).closest("tr").find(".pagesizesetarea").show();
	}
}
function savesetting(butt)
{
	if(em_usrrank<10 && $("#eaaed87de").val()=='emusr1') {
		alert("此节点为公共示例节点，不能修改！");
		return false;
	}
	 formpostdata=$(butt.form).serialize();
	 var s = $.ajax({
		type: "GET",
		url: "?ajax=1&eb5707348=savesetting&nid="+butt.form.nid.value+"&setting="+encodeURIComponent(formpostdata)+"&t=" + Math.random(),
		data: null,
		dataType: "json" ,
		cache: false,
		async: false,
		success: function(data){
			alert(data.info);
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
			alert("设置故障，未保存成功,故障原因："+textStatus);
		}
	});	
}
